Aws.Core

# Logging

class Loggable a

# Response

## Metadata in responses

data Response m a

readResponse

readResponseIO

tellMetadata

tellMetadataRef

mapMetadata

## Response data consumers

type HTTPResponseConsumer a

class ResponseConsumer req resp

## Memory response

class AsMemoryResponse resp

## List response

class ListResponse resp item

## Exception types

data XmlException

data HeaderException

data FormException

data NoCredentialsException

throwStatusCodeException

## Response deconstruction helpers

readHex2

### XML

elContent

elCont

force

forceM

textReadBool

textReadInt

readInt

xmlCursorConsumer

# Query

data SignedQuery

data NormalQuery

data UriOnlyQuery

queryToHttpRequest

queryToUri

## Expiration

data TimeInfo

data AbsoluteTimeInfo

fromAbsoluteTimeInfo

makeAbsoluteTimeInfo

## Signature

data SignatureData

signatureData

class SignQuery request

data AuthorizationHash

amzHash

signature

authorizationV4

## Query construction helpers

queryList

awsBool

awsTrue

awsFalse

fmtTime

fmtRfc822Time

rfc822Time

fmtAmzTime

fmtTimeEpochSeconds

parseHttpDate

httpDate1

textHttpDate

iso8601UtcDate

# Transactions

class Transaction r a

class IteratedTransaction r a

# Credentials

data Credentials

makeCredentials

credentialsDefaultFile

credentialsDefaultKey

loadCredentialsFromFile

loadCredentialsFromEnv

loadCredentialsFromInstanceMetadata

loadCredentialsFromEnvOrFile

loadCredentialsFromEnvOrFileOrInstanceMetadata

loadCredentialsDefault

# Service configuration

class DefaultServiceConfiguration config

# HTTP types

data Protocol

defaultPort

data Method

httpMethod